Module java.base
Package java.lang.classfile.componentsPREVIEW

# Enum Class ClassPrinter.Verbosity

java.lang.Object
java.lang.Enum<ClassPrinter.VerbosityPREVIEW>
java.lang.classfile.components.ClassPrinter.Verbosity

All Implemented Interfaces:
  `Serializable`, `Comparable<ClassPrinter.VerbosityPREVIEW>`, `Constable`

Enclosing class:
  `ClassPrinterPREVIEW`

public static enum ClassPrinter.Verbosity extends Enum<ClassPrinter.VerbosityPREVIEW>
`Verbosity` is a preview API of the Java platform.
Programs can only use `Verbosity` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Level of detail to print or export.

Since:
  22

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CRITICAL_ATTRIBUTES`
  Top level class info, class members, and critical attributes are printed.
  `MEMBERS_ONLY`
  Only top level class info, class members and attribute names are printed.
  `TRACE_ALL`
  All class content is printed, including constant pool.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClassPrinter.VerbosityPREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClassPrinter.VerbosityPREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MEMBERS_ONLY

    public static final ClassPrinter.VerbosityPREVIEW MEMBERS_ONLY
    Only top level class info, class members and attribute names are printed.

  - ### CRITICAL_ATTRIBUTES

    public static final ClassPrinter.VerbosityPREVIEW CRITICAL_ATTRIBUTES
    Top level class info, class members, and critical attributes are printed.

    Critical attributes are:

    - ConstantValue
    - Code
    - StackMapTable
    - BootstrapMethods
    - NestHost
    - NestMembers
    - PermittedSubclasses
    See Java Virtual Machine Specification:
      4.7 Attributes

  - ### TRACE_ALL

    public static final ClassPrinter.VerbosityPREVIEW TRACE_ALL
    All class content is printed, including constant pool.

- ## Method Details

  - ### values

    public static ClassPrinter.VerbosityPREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClassPrinter.VerbosityPREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null